Skip to main content
POST
/
reports
/
{id}
/
regenerate
Regenerate a report
curl --request POST \
  --url https://api.breezing.io/v1/reports/{id}/regenerate
import requests

url = "https://api.breezing.io/v1/reports/{id}/regenerate"

response = requests.post(url)

print(response.text)
const options = {method: 'POST'};

fetch('https://api.breezing.io/v1/reports/{id}/regenerate', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true,
  "data": {
    "reportId": 123,
    "taskId": 123
  }
}
{
  "success": false,
  "error": {
    "code": "<string>",
    "message": "<string>"
  }
}
{
  "success": false,
  "error": {
    "code": "<string>",
    "message": "<string>"
  }
}
{
  "success": false,
  "error": {
    "code": "<string>",
    "message": "<string>"
  }
}
{
  "success": false,
  "error": {
    "code": "<string>",
    "message": "<string>"
  }
}
{
  "success": false,
  "error": {
    "code": "<string>",
    "message": "<string>"
  }
}
{
  "success": false,
  "error": {
    "code": "<string>",
    "message": "<string>"
  }
}

Path Parameters

id
string
required

Report ID

Example:

"42"

Query Parameters

orgId
string
required

Organization ID. Use GET /v1/companies to discover available org/company pairs.

Example:

"1"

companyId
string
required

Company ID. Use GET /v1/companies to discover available companies and their access levels.

Example:

"1"

Response

Report regeneration queued

success
enum<boolean>
required
Available options:
true
data
object
required
Last modified on July 10, 2026